Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155985 - up2date is too chatty
Summary: up2date is too chatty
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 13:45 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-18 14:57:34 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2005-04-26 13:45:28 UTC
Description of problem:
Running up2date gives screenfulls of what looks like debugging information

Version-Release number of selected component (if applicable):
up2date-4.4.15-4

How reproducible:
Allways

Steps to Reproduce:
1. up2date -uv
2.
3.
  
Actual results:
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror:
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/




INIT


Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386/',
'http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/i386/',
'http://mirrors.kernel.org/fedora/core/development/i386/',
'http://sunsite.mff.cuni.cz/pub/fedora/development/i386/',
'http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/development/i386/']
Baseurl(s) for repo: ['http://crash.fce.vutbr.cz/crash-hat/3.91']
Cannot open/read repomd.xml file for repository: crash-hat
failure: repodata/repomd.xml from crash-hat: [Errno 256] No more mirrors to
try.Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1231, in exceptionHandler
    log = up2dateLog.initLog()
NameError: global name 'up2dateLog' is not defined

Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1264, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 799, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1119, in batchRun
    batch.init()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 65, in init
    self.__findPackagesToUpdate()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 101, in
__findPackagesToUpdate
    plist.addGlobs(self.listOfGlobs)
  File "/usr/share/rhn/up2date_client/packageList.py", line 160, in addGlobs
    availList = rhnPackageInfo.getAvailablePackageList()
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 235, in
getAvailablePackageList
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 153, in
availablePackageList
    repos = repoDirector.initRepoDirector()
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 76, in initRepoDirector
    repomdRepo.register(rd)
  File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 404, in
register
    repomdRepo = RepomdRepo()
  File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 367, in
__init__
    self.rmdrs = RepomdRepoSource()
  File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 108, in
__init__
    YumBaseWrapper.__init__(self)
  File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 42, in
__init__
    self.yb.doRepoSetup()
  File "__init__.py", line 216, in doRepoSetup
  File "repos.py", line 628, in getRepoXML
  File "repos.py", line 607, in get
yum.Errors.RepoError: failure: repodata/repomd.xml from crash-hat: [Errno 256]
No more mirrors to try.


Expected results:
Much less chatter

Additional info:


Note You need to log in before you can comment on or make changes to this bug.